package edu.travel.remote.order;

import edu.travel.remote.dto.GetOrderItemDto;
import edu.travel.remote.vo.OrderItemVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(name = "order-dev",path = "/shopOrderItem")
public interface ShopOrderItemRemoteController {

    /**
     *  查询订单商品详情
     * @param params
     * @return {@link RPCBaseResponse }<{@link OrderItemVo }>
     */
    @GetMapping("/getOrderItemVo")
    public RPCBaseResponse<OrderItemVo> getOrderItemVo(GetOrderItemDto params);

}
