package edu.travel.commodity.web;

import edu.travel.commodity.entity.ShopProductSku;
import edu.travel.commodity.service.ShopProductSkuService;
import edu.travel.remote.vo.ShopSkuSpecValueVo;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.web.BaseController;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
* 商品SKU表(shop_product_sku)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_product_sku")
public class ShopProductSkuController extends BaseController<ShopProductSku> {
/**
* 服务对象
*/
    @Autowired
    private ShopProductSkuService shopProductSkuService;

    @GetMapping("/getSkuValuesById")
    public RPCBaseResponse<Map<String, List<ShopSkuSpecValueVo>>> getSkuValuesById(Set<String> skuId){
        return RPCBaseResponse.success(shopProductSkuService.getSkuValuesById(skuId));
    }



}
